accumulo-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Drob (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACCUMULO-4171) Update to htrace-core4
Date Mon, 28 Mar 2016 15:42:25 GMT

    [ https://issues.apache.org/jira/browse/ACCUMULO-4171?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15214346#comment-15214346
] 

Mike Drob commented on ACCUMULO-4171:
-------------------------------------

They're not run-time compatible, but they are API compatible, AFAICT. Lower in the thread
you quoted, Billie:

{quote}
So we can guarantee
that any projects using htrace-core 4.0.1 can upgrade to htrace-core
4.1.0 without breaking anything.  (This is a more painful guarantee
than it sounds since it means we can't remove functions, only
deprecate them...  And so forth.)  But it's a very useful guarantee
for our downstream projects.

However, we don't support mixing and matching versions of the
SpanReceiver client and server components.  The admin has to roll out
a uniform version of those components-- for example, using htraced
4.0.1 with htrace-htraced.jar 4.1.0 is not supported.
{quote}

> Update to htrace-core4
> ----------------------
>
>                 Key: ACCUMULO-4171
>                 URL: https://issues.apache.org/jira/browse/ACCUMULO-4171
>             Project: Accumulo
>          Issue Type: Improvement
>          Components: trace
>            Reporter: Mike Drob
>             Fix For: 1.8.0
>
>
> We are currently using HTrace 3.1.0-incubating. There were some API changes and improvements
on the way to HTrace 4.x-incubating, and we should stay up to date with those changes.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message